Name:          libXt
Epoch:         1
Version:       1.3.0
Release:       1mamba
Summary:       X.Org Xt library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://x.org/wiki/
Source:        http://ftp.x.org/pub/individual/lib/libXt-%{version}.tar.xz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: xorgproto-devel
## AUTOBUILDREQ-END

%description
X.Org Xt library.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libXorg-devel

%description devel
X.Org Xt library.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libXt.so.*
#%{_bindir}/makestrs
#%{_mandir}/man1/makestrs.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/libXt.a
%{_libdir}/libXt.so
%dir %{_includedir}/X11
%{_includedir}/X11/*.h
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
%dir %{_docdir}/libXt
%{_docdir}/libXt/*
%doc ChangeLog

%changelog
* Tue Apr 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Tue Feb 09 2021 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Wed Jul 31 2019 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Sun May 17 2015 Automatic Build System <autodist@mambasoft.it> 1.1.5-1mamba
- automatic update by autodist

* Fri May 31 2013 Automatic Build System <autodist@mambasoft.it> 1.1.4-1mamba
- automatic version update by autodist

* Mon Jul 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.3-1mamba
- update to 1.1.3
- set epoch = 1 to allow upgrade of a previous version

* Mon May 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Sun Mar 06 2011 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic update by autodist

* Tue Nov 09 2010 Automatic Build System <autodist@mambasoft.it> 1.0.9-1mamba
- automatic update by autodist

* Sun May 09 2010 Automatic Build System <autodist@mambasoft.it> 1.0.8-1mamba
- automatic update by autodist

* Sun Oct 11 2009 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic update by autodist

* Wed Jul 08 2009 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic update by autodist

* Tue Jul 17 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.5-1mamba
- update to 1.0.5

* Wed Feb 07 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1qilnx
- update to version 1.0.4 by autospec

* Mon Dec 18 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.2-1qilnx
- package created by autospec
